package de.fitko.fitconnect.cmd;

import com.beust.jcommander.JCommander;
import de.fitko.fitconnect.client.SdkClientFactory;
import de.fitko.fitconnect.client.SenderClient;

public class CommandLineRunner {

    public static void main(String[] args) {

        final CommandLineArgs cmdArgs = new CommandLineArgs();
        JCommander build = JCommander.newBuilder()
                .addObject(cmdArgs)
                .build();

        build.parse(args);

        final SenderClient senderClient = SdkClientFactory.senderClient();

        var clientId = cmdArgs.clientId;
        var secret = cmdArgs.secret;

        // sample high -level- api calls to send a submission
        senderClient
                .authenticate(clientId,secret)
                .printToken();


    }
}
